Uploaded image for project: 'Minecraft Launcher'
  1. Minecraft Launcher
  2. MCL-5392

dependencies in the deb package use wrong keyword

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Resolved
    • Resolution: Awaiting Response
    • Affects Version/s: 1.6.76 (java), 2.0.729 (Windows)
    • Fix Version/s: None
    • Component/s: None
    • Environment:
    • Confirmation Status:
      Unconfirmed

      Description

      Package version is 2.0.727 (note that I cannot select it in "Affects Version", as it's not among the provided choices).

      The package's dependencies in the control file look like this:

      Depend: oracle-java8-installer | openjdk-8-jre, gconf-service, libasound2 (>= 1.0.23), libatk1.0-0 (>= 1.12.4), libc6 (>= 2.11), libcairo2 (>= 1.6.0), libcups2 (>= 1.4.0), libdbus-1-3 (>= 1.1.4), libexpat1 (>= 1.95.8), libfontconfig1 (>= 2.8.0), libfreetype6 (>= 2.3.9), libgcc1 (>= 1:4.1.1), libgconf-2-4 (>= 2.31.1), libgdk-pixbuf2.0-0 (>= 2.22.0), libglib2.0-0 (>= 2.26.0), libgtk2.0-0 (>= 2.24.0), libnspr4 (>= 1.8.0.10), libnss3 (>= 3.17.2), libpango1.0-0 (>= 1.14.0), libstdc++6 (>= 4.8.0), libx11-6 (>= 2:1.4.99.1), libxcomposite1 (>= 1:0.3-1), libxcursor1 (>> 1.1.2), libxdamage1 (>= 1:1.1), libxext6, libxfixes3, libxi6 (>= 2:1.2.99.4), libxrandr2 (>= 2:1.2.99.3), libxrender1, libxss1, libxtst6, libbz2-1.0, lsb-base (>= 4.1), xdg-utils (>= 1.0.2), wget
      

      Note that the keyword is wrong. It should be Depends: but it is Depend: (missing an "s").

      The result is that the stanza is ignored and no dependencies are pulled in resulting in a non-working launcher for people who haven't got those packages already installed.

        Attachments

          Activity

            People

            Assignee:
            Unassigned Unassigned
            Reporter:
            blubberdiblub Niels Boehm
            Votes:
            0 Vote for this issue
            Watchers:
            2 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved: